# Record TCefTaskRunner

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFTypes

## Declaration

`type TCefTaskRunner = record`

## Description

Structure that asynchronously executes tasks on the associated thread. It is safe to call the functions of this structure on any thread.

CEF maintains multiple internal threads that are used for handling different types of tasks in different processes. The TCefThreadId definitions in cef_types.h list the common CEF threads. Task runners are also available for other CEF threads as appropriate (for example, V8 WebWorker threads).

NOTE: This struct is allocated DLL-side.

Implemented by ICefTaskRunner.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_task_capi.h">CEF source file: /include/capi/cef_task_capi.h (cef_task_runner_t))

## Overview

### Fields

| `base: TCefBaseRefCounted;`
| `is_same: function(self, that: PCefTaskRunner): Integer; stdcall;`
| `belongs_to_current_thread: function(self: PCefTaskRunner): Integer; stdcall;`
| `belongs_to_thread: function(self: PCefTaskRunner; threadId: TCefThreadId): Integer; stdcall;`
| `post_task: function(self: PCefTaskRunner; task: PCefTask): Integer; stdcall;`
| `post_delayed_task: function(self: PCefTaskRunner; task: PCefTask; delay_ms: Int64): Integer; stdcall;`

## Description

### Fields

| `base: TCefBaseRefCounted;`
This item has no description.

| `is_same: function(self, that: PCefTaskRunner): Integer; stdcall;`
This item has no description.

| `belongs_to_current_thread: function(self: PCefTaskRunner): Integer; stdcall;`
This item has no description.

| `belongs_to_thread: function(self: PCefTaskRunner; threadId: TCefThreadId): Integer; stdcall;`
This item has no description.

| `post_task: function(self: PCefTaskRunner; task: PCefTask): Integer; stdcall;`
This item has no description.

| `post_delayed_task: function(self: PCefTaskRunner; task: PCefTask; delay_ms: Int64): Integer; stdcall;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.